com.impinj.stp

## Interface StpApi.VoidTagConfigOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    StpApi.VoidTagConfig, StpApi.VoidTagConfig.Builder
  Enclosing class:
    StpApi

      public static interface StpApi.VoidTagConfigOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getKillTag()` If kill_tag is set, it overrides the other possible voiding operations, and none of the other ones will be attempted.
    `boolean` | `getPermalockAllBanks()` Attempt to permalock all the memory banks after writing a 0 length to the PC word and 0xDEADDEAD to the first 2 words of EPC memory.
    `boolean` | `hasKillTag()` If kill_tag is set, it overrides the other possible voiding operations, and none of the other ones will be attempted.
    `boolean` | `hasPermalockAllBanks()` Attempt to permalock all the memory banks after writing a 0 length to the PC word and 0xDEADDEAD to the first 2 words of EPC memory.

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasKillTag

          boolean hasKillTag()

      If kill_tag is set, it overrides the other possible voiding operations, and none of the other ones will be attempted.

    - #### getKillTag

          boolean getKillTag()

      If kill_tag is set, it overrides the other possible voiding operations, and none of the other ones will be attempted.

    - #### hasPermalockAllBanks

          boolean hasPermalockAllBanks()

      Attempt to permalock all the memory banks after writing a 0 length to the PC word and 0xDEADDEAD to the first 2 words of EPC memory.

    - #### getPermalockAllBanks

          boolean getPermalockAllBanks()

      Attempt to permalock all the memory banks after writing a 0 length to the PC word and 0xDEADDEAD to the first 2 words of EPC memory.